package com.yizhi.live.application.vo;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Date 2020/9/23 8:14 下午
 * @Author lvjianhui
 **/
@Data
public class MessageRemindVo implements Serializable {

    private static final long serialVersionUID = -7621642684091133619L;
    @ApiModelProperty("提醒id  ")
    private Long id;
    @ApiModelProperty("消息id")
    private Long messageId;
    @ApiModelProperty("消息类型：1、自定义消息；2、系统消息；3、事件触发消息")
    private Integer messageType;
    @ApiModelProperty("用户id  主要用于触发消息 个人完成发消息类型")
    private Long accountId;
    @ApiModelProperty("消息内容（完整版）")
    private String messageContext;
    @ApiModelProperty("关联模块类型(1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分)")
    private Integer relationType;
    @ApiModelProperty("关联的业务id: 比如调研id")
    private Long relationId;
    @ApiModelProperty("发送方式：1、站内信；2、短信；3、邮件")
    private Integer sendType;
    @ApiModelProperty("该业务提醒是被关闭，关闭则为true，默认false")
    private Boolean hasDeleted = false;
    @ApiModelProperty("该业务提醒是否有变化，有则为true，默认false")
    private Boolean isChangge = false;
    @ApiModelProperty("专门存放提醒时间设置")
    private List<MessageTaskRemindVo> messageTaskRemindVos = new ArrayList();
    @ApiModelProperty("目前只有培训项目需要，计划同步项目可见范围")
    private Boolean visibleRangeUpdate = false;
    @ApiModelProperty("指定范围(0:全平台,1:指定用户)")
    private Integer visibleRange;
    @ApiModelProperty("业务参数对象")
    private TaskVo taskVo;
    @ApiModelProperty("触发消息专用 发送时间")
    private Date sendTime;
    @ApiModelProperty("是否设置为上架状态")
    private Boolean hasUp = false;
    @ApiModelProperty("是否是 修改业务状态 ")
    private Boolean taskStatusUpdate = false;
    @ApiModelProperty("业务状态  1：才允上架许发送（业务上架）0：不允许发送（业务非上架）  仅针对于系统消息")
    private Integer taskStatus;
    @ApiModelProperty("上下文 必传，主要需要 siteId companyId accountId  accountName 都不能是空")
    private RequestContext requestContext;
    @ApiModelProperty("调研是否为复制类型")
    private Boolean isCopy = false;
    @ApiModelProperty("复制调研时，旧的调研id")
    private Long oldRelationId;
}
