package com.yizhi.live.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 直播授权课件范围表
 * </p>
 *
 * @author fulan123
 * @since 2018-04-10
 */
@Data
@Api(tags = "ScopeAuthorization", description = "直播授权课件范围表")
@TableName("scope_authorization")
public class ScopeAuthorization extends Model<ScopeAuthorization> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "账号id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "直播活动id")
    @TableField("live_id")
    private Long liveId;

    @ApiModelProperty(value = "1.部门、2.用户")
    private Integer type;

    @TableField("site_id")
    private Long siteId;

    @TableField("name")
    private String name;

    @ApiModelProperty(value = "用户名")
    @TableField(exist = false)
    private String fullName;

    @ApiModelProperty(value = "工号")
    @TableField(exist = false)
    private String workNum;



    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
