package com.yizhi.live.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.live.application.domain.LiveActivity;
import com.yizhi.live.application.vo.PageLiveVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 直播活动表 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-04-10
 */
public interface LiveActivityMapper extends BaseMapper<LiveActivity> {


    List<PageLiveVo> apiSearchPage(@Param("ids") List<Long> ids, @Param("title") String title, @Param("siteId") Long siteId,
                                   @Param("companyId") Long companyId,
                                   Page<PageLiveVo> page);

    Integer apiSearchPageCount(@Param("ids") List<Long> ids, @Param("title") String title, @Param("siteId") Long siteId,
                               @Param("companyId") Long companyId);

    List<PageLiveVo> portalList2(@Param("title") String title, @Param("startTime") Date startTime, @Param("endTime") Date endTime,
                                @Param("companyId") Long companyId, @Param("siteId") Long siteId,
                                @Param("orgId") List<Long> orgId, Page<PageLiveVo> page);

    List<PageLiveVo> portalList(@Param("title") String title, @Param("startTime") Date startTime, @Param("endTime") Date endTime,
                                @Param("companyId") Long companyId, @Param("siteId") Long siteId,
                                @Param("orgId") List<Long> orgId, RowBounds rowBounds);

    List<PageLiveVo> getPageLiveVoList(@Param("title") String title, @Param("siteId") Long siteId,
                                       @Param("companyId") Long companyId,
                                       RowBounds rowBounds);

    Integer getPageLiveVoListCount(@Param("title") String title, @Param("siteId") Long siteId,
                                   @Param("companyId") Long companyId);
    Set<PageLiveVo> queryLiveListByRelationIds(@Param("relationIds")List<Long> relationIds,@Param("siteId")Long siteId, RowBounds rowBounds);

    List<Long> getIdsByDate(@Param("currentDate") Date currentDate, @Param("siteId") Long siteId);

    List<PageLiveVo> getPageToCalendar(@Param("finishTrIds") List<Long> finishTrIds,
                                            @Param("trIds") List<Long> trIds,
                                            @Param("currentDate") Date currentDate,
                                            @Param("siteId") Long siteId,
                                            Page page);
    Integer getPageToCalendarNum(@Param("finishTrIds") List<Long> finishTrIds,
                                       @Param("trIds") List<Long> trIds,
                                       @Param("currentDate") Date currentDate,
                                       @Param("siteId") Long siteId);
}
