package com.yizhi.live.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.live.application.domain.LiveReplay;
import com.yizhi.live.application.vo.LiveReplayVo;
import com.yizhi.live.application.vo.LiveTitleVo;
import com.yizhi.util.application.domain.BizResponse;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.List;

public interface LiveReplayMapper  extends BaseMapper<LiveReplay> {

    /**
     * 查询直播回放
     * @param liveIdList 直播id
     */
    List<LiveReplayVo> selectReplayList(@Param(value = "liveIdList") List<Long> liveIdList,@Param(value = "title") String title, Page<LiveReplayVo> page);

    /**
     * 查询有直播回放的直播列表
     */
    List<LiveTitleVo> selectHashReviewLiveList(@Param(value = "liveIdList") List<Long> liveIdList, @Param("companyId") Long companyId, @Param("siteId") Long siteId,Page<LiveTitleVo> page);

    void deleteByUpdateTime(@Param("updateTime") Date updateTime);

    /**
     * 根据直播查询回放列表
     * @param liveId 直播id
     */
    List<LiveReplayVo> selectReplayListByLiveId(@Param("liveId") Long liveId, Page<LiveReplayVo> page);

    /**
     * 批量删除
     */
    void deleteReplayBatch(@Param("delReplayIdList") List<Long> delReplayIdList);

    /**
     * 更新直播回放置顶
     * @param topTime 置顶时间
     */
    void updateTopTime(@Param("id") Long id ,@Param("topTime") Date topTime);
}